OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_VertexPoint Class Reference

`#include <StepShape_VertexPoint.hxx>`

Inheritance diagram for StepShape_VertexPoint:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_VertexPoint ()
| Returns a VertexPoint .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Point)&aVertexGeometry)
Standard_EXPORT void | SetVertexGeometry (const Handle(StepGeom_Point)&aVertexGeometry)
Standard_EXPORT Handle_StepGeom_Point | VertexGeometry () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Point | vertexGeometry

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_VertexPoint::StepShape_VertexPoint | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_VertexPoint::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_Vertex.

virtual Standard_EXPORT void StepShape_VertexPoint::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Point)& | aVertexGeometry
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_VertexPoint::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepShape_VertexPoint::SetVertexGeometry | ( | const Handle(StepGeom_Point)& | aVertexGeometry | ) |

Standard_EXPORT Handle_StepGeom_Point StepShape_VertexPoint::VertexGeometry | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Point StepShape_VertexPoint::vertexGeometry`[private]`

The documentation for this class was generated from the following file:

- StepShape_VertexPoint.hxx